L2Interface (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.L2Interface interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface L2Interface

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface L2Interface

extends LogicalElement

Object representing a L2 endpoint

Naming Rules:
  0="parent,index" 1="parent,name" 2="parent,cdpRef" 3="managedSystemName"
Persistable:
  true
Table Name:
  L2INTRFC
Display Name:
  parent,name

Field Summary
`static int` | `FULL_DUPLEX`
`static int` | `HALF_DUPLEX`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getAutoNegotiation()`
`boolean` | `getBroadcast()`
`java.lang.String` | `getCdpRef()`
`int` | `getDuplex()`
`java.lang.String` | `getEncapsulation()`
`java.lang.String` | `getHwAddress()`
`int` | `getIndex()`
`L2Interface[]` | `getInterfaceStackLowerLayer()`
`boolean` | `getLoopback()`
`int` | `getMtu()`
`java.lang.String` | `getName()`
`ComputerSystem` | `getParent()`
`boolean` | `getPrivate()`
`boolean` | `getPromiscuous()`
`Segment` | `getSegment()`
`long` | `getSpeed()`
`boolean` | `hasAutoNegotiation()`
`boolean` | `hasBroadcast()`
`boolean` | `hasCdpRef()`
`boolean` | `hasDuplex()`
`boolean` | `hasEncapsulation()`
`boolean` | `hasHwAddress()`
`boolean` | `hasIndex()`
`boolean` | `hasInterfaceStackLowerLayer()`
`boolean` | `hasLoopback()`
`boolean` | `hasMtu()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasPrivate()`
`boolean` | `hasPromiscuous()`
`boolean` | `hasSegment()`
`boolean` | `hasSpeed()`
`void` | `setAutoNegotiation(boolean isAutoNegiotating)`
`void` | `setBroadcast(boolean broadcast)`
`void` | `setCdpRef(java.lang.String cdpRef)`
`void` | `setDuplex(int duplex)`
`void` | `setEncapsulation(java.lang.String encapsulation)`
`void` | `setHwAddress(java.lang.String address)`
`void` | `setIndex(int index)`
`void` | `setInterfaceStackLowerLayer(L2Interface[] interfaces)`
`void` | `setLoopback(boolean loopback)`
`void` | `setMtu(int mtu)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(ComputerSystem parent)`
`void` | `setPrivate(boolean prvt)`
`void` | `setPromiscuous(boolean promiscuous)`
`void` | `setSegment(Segment segment)`
`void` | `setSpeed(long speed)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### HALF_DUPLEX

    static final int HALF_DUPLEX

See Also:
  Constant Field Values

### FULL_DUPLEX

    static final int FULL_DUPLEX

See Also:
  Constant Field Values

Method Detail

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  Returns:
    Computer system that the interface is attached to
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="true"

### setParent

    void setParent(ComputerSystem parent)

### hasParent

    boolean hasParent()

### getIndex

    int getIndex()
                 throws AttributeNotSetException

  Returns:
    index for the interface
  Throws:
    `AttributeNotSetException`

### setIndex

    void setIndex(int index)

### hasIndex

    boolean hasIndex()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Returns:
    name of the interface
  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getHwAddress

    java.lang.String getHwAddress()
                                  throws AttributeNotSetException

  Returns:
    Hardware address e.g. MAC address
  Throws:
    `AttributeNotSetException`

### setHwAddress

    void setHwAddress(java.lang.String address)

### hasHwAddress

    boolean hasHwAddress()

### getCdpRef

    java.lang.String getCdpRef()
                               throws AttributeNotSetException

  Returns:
    CDP reference for the interface Cisco Discovery Protocol references are used to stitch together interfaces Depending on the type of cisco box it either equals the name or the description
  Throws:
    `AttributeNotSetException`

### setCdpRef

    void setCdpRef(java.lang.String cdpRef)

### hasCdpRef

    boolean hasCdpRef()

### getMtu

    int getMtu()
               throws AttributeNotSetException

  Returns:
    The Maximum Transmission Unit (aka) frame size that the interface supports
  Throws:
    `AttributeNotSetException`

### setMtu

    void setMtu(int mtu)

### hasMtu

    boolean hasMtu()

### getSpeed

    long getSpeed()
                  throws AttributeNotSetException

  Returns:
    Speed the interface is running on in bits/s
  Throws:
    `AttributeNotSetException`

### setSpeed

    void setSpeed(long speed)

### hasSpeed

    boolean hasSpeed()

### getDuplex

    int getDuplex()
                  throws AttributeNotSetException

  Returns:
    Duplex mode (HALF_DUPLEX or FULL_DUPLEX) for ethernet interfaces
  Throws:
    `AttributeNotSetException`

### setDuplex

    void setDuplex(int duplex)

### hasDuplex

    boolean hasDuplex()

### getAutoNegotiation

    boolean getAutoNegotiation()
                               throws AttributeNotSetException

  Returns:
    802.3 autonegotation setting for ethernet interfaces
  Throws:
    `AttributeNotSetException`

### setAutoNegotiation

    void setAutoNegotiation(boolean isAutoNegiotating)

### hasAutoNegotiation

    boolean hasAutoNegotiation()

### getEncapsulation

    java.lang.String getEncapsulation()
                                      throws AttributeNotSetException

  Returns:
    Interface encapsulation (e.g. ethernet, loopback etc...)
  Throws:
    `AttributeNotSetException`

### setEncapsulation

    void setEncapsulation(java.lang.String encapsulation)

### hasEncapsulation

    boolean hasEncapsulation()

### getBroadcast

    boolean getBroadcast()
                         throws AttributeNotSetException

  Returns:
    Is the interface capable of broadcasting frames or not
  Throws:
    `AttributeNotSetException`

### setBroadcast

    void setBroadcast(boolean broadcast)

### hasBroadcast

    boolean hasBroadcast()

### getPromiscuous

    boolean getPromiscuous()
                           throws AttributeNotSetException

  Returns:
    Is the interface in promiscuous mode ?
  Throws:
    `AttributeNotSetException`

### setPromiscuous

    void setPromiscuous(boolean promiscuous)

### hasPromiscuous

    boolean hasPromiscuous()

### getSegment

    Segment getSegment()
                       throws AttributeNotSetException

  Returns:
    L2 Network this L2 interface is connected to
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Networks" reverse="true"

### setSegment

    void setSegment(Segment segment)

### hasSegment

    boolean hasSegment()

### getLoopback

    boolean getLoopback()
                        throws AttributeNotSetException

  Returns:
    Is this a loopback interface
  Throws:
    `AttributeNotSetException`

### setLoopback

    void setLoopback(boolean loopback)

### hasLoopback

    boolean hasLoopback()

### getPrivate

    boolean getPrivate()
                       throws AttributeNotSetException

  Returns:
    Is this a private interface. Private interfaces can send data but are never exported into routing tables.
  Throws:
    `AttributeNotSetException`

### setPrivate

    void setPrivate(boolean prvt)

### hasPrivate

    boolean hasPrivate()

### getInterfaceStackLowerLayer

    L2Interface[] getInterfaceStackLowerLayer()
                                              throws AttributeNotSetException

  Returns:
    Any active lower layer interfaces for this interface in the interface stack
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BindsTo" reverse="false"

### setInterfaceStackLowerLayer

    void setInterfaceStackLowerLayer(L2Interface[] interfaces)

### hasInterfaceStackLowerLayer

    boolean hasInterfaceStackLowerLayer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD